Closed Bug 1412526 Opened 3 years ago Closed 2 years ago

Intermittent Test-Verify Log file size 52499667 is greater than max allowed 52428800! Setting TBPL_FAILURE (was SUCCESS)...

Categories

(Testing :: General, defect, P5)

Version 3
defect

Tracking

(firefox58 fixed)

RESOLVED FIXED
mozilla58
Tracking Status
firefox58 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: gbrown)

Details

Attachments

(1 file)

Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=140335756&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/F09fzt0PQGqPZF-rtcp1gA/runs/0/artifacts/public/logs/live_backing.log

23:34:31     INFO -  201 INFO TEST-START | Shutdown
23:34:31     INFO -  202 INFO Browser Chrome Test Summary
23:34:31     INFO -  203 INFO Passed:  2
23:34:31     INFO -  204 INFO Failed:  0
23:34:31     INFO -  205 INFO Todo:    0
23:34:31     INFO -  206 INFO Mode:    e10s
23:34:31     INFO -  207 INFO *** End BrowserChrome Test Results ***
23:34:31     INFO -  GECKO(12060) | Unable to read VR Path Registry from C:\Users\GenericWorker\AppData\Local\openvr\openvrpaths.vrpath
23:34:31     INFO -  GECKO(12060) | [Parent 12060, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
23:34:31     INFO -  GECKO(12060) | Unable to read VR Path Registry from C:\Users\GenericWorker\AppData\Local\openvr\openvrpaths.vrpath
23:34:31     INFO -  GECKO(12060) | [Child 12160, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
23:34:31     INFO -  GECKO(12060) | [Child 12160, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
23:34:31     INFO -  GECKO(12060) | [Parent 12060, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
23:34:31     INFO -  GECKO(12060) | Unable to read VR Path Registry from C:\Users\GenericWorker\AppData\Local\openvr\openvrpaths.vrpath
23:34:31     INFO -  GECKO(12060) | [Child 14952, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
23:34:31     INFO -  GECKO(12060) | [Child 14952, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
23:34:31     INFO -  GECKO(12060) | [Parent 12060, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
23:34:31     INFO -  GECKO(12060) | Unable to read VR Path Registry from C:\Users\GenericWorker\AppData\Local\openvr\openvrpaths.vrpath
23:34:31     INFO -  GECKO(12060) | [Child 13772, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
23:34:31     INFO -  GECKO(12060) | *** UTM:SVC TimerManager:registerTimer called after profile-before-change notification. Ignoring timer registration for id: telemetry_modules_ping
23:34:31     INFO -  GECKO(12060) | 1509147271932	Marionette	DEBUG	Received observer notification "xpcom-shutdown"
23:34:31     INFO -  GECKO(12060) | 1509147271932	Marionette	DEBUG	New connections will no longer be accepted
23:34:31     INFO -  GECKO(12060) | Unable to read VR Path Registry from C:\Users\GenericWorker\AppData\Local\openvr\openvrpaths.vrpath
23:34:31     INFO -  GECKO(12060) | [GPU 13444, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
23:34:32     INFO -  TEST-INFO | Main app process: exit 0
23:34:32     INFO -  runtests.py | Application ran for: 0:00:05.894000
23:34:32     INFO -  zombiecheck | Reading PID log: c:\users\genericworker\appdata\local\temp\tmpl9pbgopidlog
23:34:32     INFO -  ==> process 12060 launched child process 13444 ("Z:\task_1509137514\build\application\firefox\firefox.exe" -contentproc --channel="12060.0.1153171139\1491846097" -greomni "Z:\task_1509137514\build\application\firefox\omni.ja" -appomni "Z:\task_1509137514\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1509137514\build\application\firefox\browser"  "C:\Users\GenericWorker\AppData\LocalLow\Mozilla\Temp-{94bcc422-a583-427b-8087-eca7ddd2ab9a}" 12060 "\\.\pipe\gecko-crash-server-pipe.12060" gpu)
23:34:32     INFO -  ==> process 12060 launched child process 13772 ("Z:\task_1509137514\build\application\firefox\firefox.exe" -contentproc --channel="12060.3.17730944\2090853892" -childID 1 -isForBrowser -intPrefs 5:50|6:-1|29:1000|35:0|36:5|37:0|46:128|47:10000|52:0|54:400|55:1|56:0|57:0|62:0|63:120|64:120|99:2|100:1|115:0|125:0|127:0|138:10000|150:-1|155:128|156:10000|157:0|163:24|164:32768|166:0|167:0|175:2|179:1048576|180:100|181:5000|183:600|185:1|194:4|198:0|207:60000| -boolPrefs 1:0|2:0|4:1|27:1|28:1|31:1|34:1|38:1|39:0|40:0|41:0|44:1|45:1|48:1|49:1|50:0|51:0|53:0|58:1|59:1|60:1|61:1|65:1|66:1|67:0|68:1|69:1|70:1|71:1|74:0|75:0|78:1|79:1|83:1|84:1|85:1|86:0|87:0|89:0|90:0|91:1|92:1|93:1|96:1|98:0|101:1|102:0|106:1|109:0|114:0|117:1|120:1|122:1|126:0|129:1|130:1|132:1|133:1|139:0|140:0|141:1|143:0|149:0|151:1|152:0|153:1|154:1|161:0|162:0|165:1|168:0|170:1|172:1|173:0|178:0|182:1|187:0|188:0|189:0|190:1|191:0|192:1|193:1|196:0|199:1|200:0|201:1|202:1|203:0|204:1|205:1|206:1|208:0|209:0|211:0|220:1|221:1|222:0|223:0|224:0| -stringPrefs "3:7;default|97:0;|142:4;0.01|159:332; ����!==> process 12060 launched child process 14952 ("Z:\task_1509137514\build\application\firefox\firefox.exe" -contentproc --channel="12060.13.709559700\257495764" -childID 2 -isForBrowser -intPrefs 5:50|6:-1|29:1000|35:0|36:5|37:0|46:128|47:10000|52:0|54:400|55:1|56:0|57:0|62:0|63:120|64:120|99:2|100:1|115:0|125:0|127:0|138:10000|150:-1|155:128|156:10000|157:0|163:24|164:32768|166:0|167:0|175:2|179:1048576|180:100|181:5000|183:600|185:1|194:4|198:0|207:60000| -boolPrefs 1:0|2:0|4:1|27:1|28:1|31:1|34:1|38:1|39:0|40:0|41:0|44:1|45:1|48:1|49:1|50:0|51:0|53:0|58:1|59:1|60:1|61:1|65:1|66:1|67:0|68:1|69:1|70:1|71:1|74:0|75:0|78:1|79:1|83:1|84:1|85:1|86:0|87:0|89:0|90:0|91:1|92:1|93:1|96:1|98:0|101:1|102:0|106:1|109:0|114:0|117:1|120:1|122:1|126:0|129:1|130:1|132:1|133:1|139:0|140:0|141:1|143:0|149:0|151:1|152:0|153:1|154:1|161:0|162:0|165:1|168:0|170:1|172:1|173:0|178:0|182:1|187:0|188:0|189:0|190:1|191:0|192:1|193:1|196:0|199:1|200:0|201:1|202:1|203:0|204:1|205:1|206:1|208:0|209:0|211:0|220:1|221:1|222:0|223:0|224:0| -stringPrefs "3:7;default|97:0;|142:4;0.01|159:332; ����!==> process 12060 launched child process 2360 ("Z:\task_1509137514\build\application\firefox\firefox.exe" -contentproc --channel="12060.20.1754166538\869824117" -childID 3 -isForBrowser -intPrefs 5:50|6:-1|29:1000|35:0|36:5|37:0|46:128|47:10000|52:0|54:400|55:1|56:0|57:0|62:0|63:120|64:120|99:2|100:1|115:0|125:0|127:0|138:10000|150:-1|155:128|156:10000|157:0|163:24|164:32768|166:0|167:0|175:2|179:1048576|180:100|181:5000|183:600|185:1|194:4|198:0|207:60000| -boolPrefs 1:0|2:0|4:1|27:1|28:1|31:1|34:1|38:1|39:0|40:0|41:0|44:1|45:1|48:1|49:1|50:0|51:0|53:0|58:1|59:1|60:1|61:1|65:1|66:1|67:0|68:1|69:1|70:1|71:1|74:0|75:0|78:1|79:1|83:1|84:1|85:1|86:0|87:0|89:0|90:0|91:1|92:1|93:1|96:1|98:0|101:1|102:0|106:1|109:0|114:0|117:1|120:1|122:1|126:0|129:1|130:1|132:1|133:1|139:0|140:0|141:1|143:0|149:0|151:1|152:0|153:1|154:1|161:0|162:0|165:1|168:0|170:1|172:1|173:0|178:0|182:1|187:0|188:0|189:0|190:1|191:0|192:1|193:1|196:0|199:1|200:0|201:1|202:1|203:0|204:1|205:1|206:1|208:0|209:0|211:0|220:1|221:1|222:0|223:0|224:0| -stringPrefs "3:7;default|97:0;|142:4;0.01|159:332; ����!==> process 12060 launched child process 12160 ("Z:\task_1509137514\build\application\firefox\firefox.exe" -contentproc --channel="12060.27.1684003185\1663829912" -childID 4 -isForBrowser -intPrefs 5:50|6:-1|29:1000|35:0|36:5|37:0|46:128|47:10000|52:0|54:400|55:1|56:0|57:0|62:0|63:120|64:120|99:2|100:1|115:0|125:0|127:0|138:10000|150:-1|155:128|156:10000|157:0|163:24|164:32768|166:0|167:0|175:2|179:1048576|180:100|181:5000|183:600|185:1|194:4|198:0|207:60000| -boolPrefs 1:0|2:0|4:1|27:1|28:1|31:1|34:1|38:1|39:0|40:0|41:0|44:1|45:1|48:1|49:1|50:0|51:0|53:0|58:1|59:1|60:1|61:1|65:1|66:1|67:0|68:1|69:1|70:1|71:1|74:0|75:0|78:1|79:1|83:1|84:1|85:1|86:0|87:0|89:0|90:0|91:1|92:1|93:1|96:1|98:0|101:1|102:0|106:1|109:0|114:0|117:1|120:1|122:1|126:0|129:1|130:1|132:1|133:1|139:0|140:0|141:1|143:0|149:0|151:1|152:0|153:1|154:1|161:0|162:0|165:1|168:0|170:1|172:1|173:0|178:0|182:1|187:0|188:0|189:0|190:1|191:0|192:1|193:1|196:0|199:1|200:0|201:1|202:1|203:0|204:1|205:1|206:1|208:0|209:0|211:0|220:1|221:1|222:0|223:0|224:0| -stringPrefs "3:7;default|97:0;|142:4;0.01|159:332; ����!
23:34:32     INFO -  zombiecheck | Checking for orphan process with PID: 13444
23:34:32     INFO -  zombiecheck | Checking for orphan process with PID: 13772
23:34:32     INFO -  Stopping web server
23:34:32     INFO -  Stopping web socket server
23:34:32     INFO -  Stopping ssltunnel
23:34:32     INFO -  leakcheck | refcount logging is off, so leaks can't be detected!
23:34:32     INFO -  runtests.py | Running tests: end.
23:34:32     INFO -  Buffered messages finished
23:34:32     INFO -  TEST-INFO | checking window state
23:34:32     INFO -  Browser Chrome Test Summary
23:34:32     INFO -  	Passed: 60
23:34:32     INFO -  	Failed: 0
23:34:32     INFO -  	Todo: 0
23:34:32     INFO -  	Mode: e10s
23:34:32     INFO -  *** End BrowserChrome Test Results ***
23:34:32     INFO -  Buffered messages finished
23:34:32     INFO -  SUITE-END | took 6s
test-verify on a merge tries to do a lot of work. I should probably put a cap on it.
Assignee: nobody → gbrown
Summary: Intermittent Log file size 52499667 is greater than max allowed 52428800! Setting TBPL_FAILURE (was SUCCESS)... → Intermittent Test-Verify Log file size 52499667 is greater than max allowed 52428800! Setting TBPL_FAILURE (was SUCCESS)...
This seems like a simple way to avoid most cases of log overflow.
Attachment #8923478 - Flags: review?(jmaher)
Comment on attachment 8923478 [details] [diff] [review]
verify at most 10 tests in a single test-verify run

Review of attachment 8923478 [details] [diff] [review]:
-----------------------------------------------------------------

sounds reasonable
Attachment #8923478 - Flags: review?(jmaher) → review+
Pushed by gbrown@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/64ea2f88d57e
Only verify first 10 modified tests in test-verify; r=jmaher
https://hg.mozilla.org/mozilla-central/rev/64ea2f88d57e
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla58
You need to log in before you can comment on or make changes to this bug.